Ticket #587 (closed defect: fixed)

Opened 11 years ago

Last modified 11 years ago

debathena-tex-config fails on upgrade (maybe) and contains no files on Lucid

Reported by: jdreed Owned by:
Priority: normal Milestone: Summer 2010 (Lucid Deploy)
Component: -- Keywords:
Cc: aseering Fixed in version:
Upstream bug:  DebianBug:580732  LP:577305

Description (last modified by broder) (diff)

For some reason, the debathena-tex-config doesn't configure any of the files it's supposed to:

opus:~ broder$ dpkg -L debathena-tex-config
/.
/usr
/usr/share
/usr/share/doc
/usr/share/doc/debathena-tex-config
/usr/share/doc/debathena-tex-config/copyright
/usr/share/doc/debathena-tex-config/changelog.gz

aseering reported that this caused errors when upgrading from a release whose tex-config package wasn't borked.

Attachments

debathena-tex-config_1.2~ubuntu10.04-amd64-20100429-1405 Download (41.5 KB) - added by broder 11 years ago.

Change History

comment:1 Changed 11 years ago by broder

  • Description modified (diff)

I just tested building debathena-tex-config on a Lucid machine, and I got all the files I would have expected, which makes me think that we're missing a build-dependency somewhere or something:

opus:~/sipb/src/athena/debathena/config/tex-config broder$ dpkg -c ../debathena-tex-config_1.3_all.deb 
drwxr-xr-x root/root         0 2010-05-08 01:10 ./
drwxr-xr-x root/root         0 2010-05-08 01:10 ./etc/
drwxr-xr-x root/root         0 2010-05-08 01:10 ./etc/texmf/
drwxr-xr-x root/root         0 2010-05-08 01:10 ./etc/texmf/dvips/
drwxr-xr-x root/root         0 2010-05-08 01:10 ./etc/texmf/dvips/config/
-rw-r--r-- root/root     15818 2010-05-08 01:09 ./etc/texmf/dvips/config/config.ps.debathena
drwxr-xr-x root/root         0 2010-05-08 01:10 ./etc/texmf/dvipdfm/
drwxr-xr-x root/root         0 2010-05-08 01:10 ./etc/texmf/dvipdfm/config/
-rw-r--r-- root/root      1490 2010-05-08 01:09 ./etc/texmf/dvipdfm/config/config.debathena
drwxr-xr-x root/root         0 2010-05-08 01:10 ./etc/texmf/dvipdfmx/
-rw-r--r-- root/root      7457 2010-05-08 01:09 ./etc/texmf/dvipdfmx/dvipdfmx.cfg.debathena
drwxr-xr-x root/root         0 2010-05-08 01:10 ./etc/texmf/xdvi/
-rw-r--r-- root/root     13871 2010-05-08 01:09 ./etc/texmf/xdvi/XDvi.debathena
drwxr-xr-x root/root         0 2010-05-08 01:10 ./etc/texmf/tex/
drwxr-xr-x root/root         0 2010-05-08 01:10 ./etc/texmf/tex/generic/
drwxr-xr-x root/root         0 2010-05-08 01:10 ./etc/texmf/tex/generic/config/
-rw-r--r-- root/root       283 2010-05-08 01:09 ./etc/texmf/tex/generic/config/pdftexconfig.tex.debathena
drwxr-xr-x root/root         0 2010-05-08 01:10 ./usr/
drwxr-xr-x root/root         0 2010-05-08 01:10 ./usr/share/
drwxr-xr-x root/root         0 2010-05-08 01:10 ./usr/share/doc/
drwxr-xr-x root/root         0 2010-05-08 01:10 ./usr/share/doc/debathena-tex-config/
-rw-r--r-- root/root      1472 2009-04-04 09:33 ./usr/share/doc/debathena-tex-config/copyright
-rw-r--r-- root/root       371 2010-04-28 17:56 ./usr/share/doc/debathena-tex-config/changelog.gz

comment:2 Changed 11 years ago by broder

I've attached the build log from zulu for perusal.

comment:3 Changed 11 years ago by broder

  • Upstream bug set to Debian:580732 LP:577305

The plot thickens!

As far as I can tell, I've tracked this down to a missing dependency in the texlive-binaries package. When texlive-binaries was created to replace texlive-base-bin, the maintainers dropped the dependency on ed (yes, that ed). Since texconfig uses ed to, well, edit files, not having it installed caused texconfig to do nothing.

I've filed bugs with Debian and Ubuntu, and I'm going to see if I can get an SRU for Ubuntu.

comment:4 Changed 11 years ago by broder

  • Cc aseering added
  • Upstream bug changed from Debian:580732 LP:577305 to DebianBug:580732 LP:577305

comment:5 Changed 11 years ago by broder

  • Status changed from new to proposed

Working around the bug by adding a build-dep on ed to tex-config. r24673, in proposed

I've verified that the new Lucid packages have all the files they're supposed to

comment:6 Changed 11 years ago by broder

  • Status changed from proposed to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.